- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libcdr::CDROutputElementList Class Reference

`#include <CDROutputElementList.h>`

## Public Member Functions
| CDROutputElementList ()
| CDROutputElementList (const CDROutputElementList &elementList)
CDROutputElementList & | operator= (const CDROutputElementList &elementList)
virtual | ~CDROutputElementList ()
void | draw (librevenge::RVNGDrawingInterface *painter) const
void | addStyle (const librevenge::RVNGPropertyList &propList)
void | addPath (const librevenge::RVNGPropertyList &propList)
void | addGraphicObject (const librevenge::RVNGPropertyList &propList)
void | addStartTextObject (const librevenge::RVNGPropertyList &propList)
void | addOpenParagraph (const librevenge::RVNGPropertyList &propList)
void | addOpenSpan (const librevenge::RVNGPropertyList &propList)
void | addInsertText (const librevenge::RVNGString &text)
void | addCloseSpan ()
void | addCloseParagraph ()
void | addEndTextObject ()
void | addStartGroup (const librevenge::RVNGPropertyList &propList)
void | addEndGroup ()
bool | empty () const

## Private Attributes
std::vector< CDROutputElement * > | m_elements

## Constructor & Destructor Documentation

libcdr::CDROutputElementList::CDROutputElementList | ( |  | ) |

libcdr::CDROutputElementList::CDROutputElementList | ( | const CDROutputElementList & | elementList | ) |

libcdr::CDROutputElementList::~CDROutputElementList | ( |  | ) |
| virtual

## Member Function Documentation

void libcdr::CDROutputElementList::addCloseParagraph | ( |  | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

void libcdr::CDROutputElementList::addCloseSpan | ( |  | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

void libcdr::CDROutputElementList::addEndGroup | ( |  | ) |

Referenced by libcdr::CDRContentCollector::collectGroup().

void libcdr::CDROutputElementList::addEndTextObject | ( |  | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

void libcdr::CDROutputElementList::addGraphicObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

void libcdr::CDROutputElementList::addInsertText | ( | const librevenge::RVNGString & | text | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

void libcdr::CDROutputElementList::addOpenParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

void libcdr::CDROutputElementList::addOpenSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

void libcdr::CDROutputElementList::addPath | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

void libcdr::CDROutputElementList::addStartGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libcdr::CDRContentCollector::collectLevel().

void libcdr::CDROutputElementList::addStartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

void libcdr::CDROutputElementList::addStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

void libcdr::CDROutputElementList::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) | const

bool libcdr::CDROutputElementList::empty | ( |  | ) | const
| inline

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

libcdr::CDROutputElementList & libcdr::CDROutputElementList::operator= | ( | const CDROutputElementList & | elementList | ) |

## Member Data Documentation

std::vector<CDROutputElement *> libcdr::CDROutputElementList::m_elements
| private

Referenced by CDROutputElementList(), empty(), and operator=().

The documentation for this class was generated from the following files:

- CDROutputElementList.h
- CDROutputElementList.cpp